PUT /data/entities/{instance_id}

Update an entity with data provided in the request body. JSON format is expected. Supports shot versioning when frame data changes.

Path parameters

  • instance_id string(uuid) Required
application/json

Body Required

  • name string
  • data object

Responses

  • 200 application/json

    Entity updated successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • data object
  • 400

    Invalid data format or validation error

PUT /data/entities/{instance_id}
curl -X PUT "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "SH010",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  }
}'
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "SH010",
    "data": {
        "frame_in": 1001,
        "frame_out": 1120
    }
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"SH010","data":{"frame_in":1001,"frame_out":1120}}'
Request examples
{
  "name": "SH010",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  }
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SH010",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "data": {
    "frame_in": 1001,
    "frame_out": 1120
  }
}